PIDOF(1)

NUME
pidof - găsește ID-ul de proces al unui program care rulează

REZUMAT
pidof [-s] [-c] [-q] [-w] [-x] [-o omitpid[,...]] ... [-t] [-S separator] program ...

DESCRIERE
Pidof găsește ID-urile de proces (pid-urile) ale programelor numite. Afișează acele id-uri la ieșirea standard.

OPȚIUNI

-s  O singură „împușcătură” - această opțiune indică programului să returneze doar un pid.

-c  Returnează numai ID-urile de proces care rulează cu același director rădăcină. Această opțiune este ignorată pentru utilizatorii non-root, deoarece aceștia nu vor putea verifica directorul rădăcină curent al proceselor pe care nu le dețin.

-q  Modul silențios, suprimă orice ieșire și afișează numai starea de ieșire(codul de ieșire) corespunzătoare.

-w  Afișează, de asemenea, procesele care nu au linie de comandă vizibilă (de exemplu firele de execuție ale kernelului).

-x  Scripturi de asemenea - acest lucru face ca programul să returneze și ID-urile de proces ale shell-urilor care rulează scripturile numite.

-o omitpid
    Îi indică lui pidof să omită procesele cu acel ID de proces. Pid-ul special %PPID poate fi folosit pentru a numii procesul părinte al programului pidof, cu alte cuvinte shell-ul de apelare sau scriptul shell.

-t  Afișează toți identificatorii firelor de execuție în loc de identificatorii proceselor.

-S separator
    Utilizează separator ca separator pus între pid-uri. Folosit numai atunci când sunt afișate mai multe pid-uri pentru program. Opțiunea -d este un alias pentru această opțiune pentru compatibilitate cu sysvinit pidof.

STARE DE IEȘIRE

0   A fost găsit cel puțin un program cu numele solicitat.

1   Nu a fost găsit niciun program cu numele solicitat.

ERORI
Când se utilizează opțiunea -x, pidof are doar o metodă simplă de detectare a scripturilor și va pierde scripturile care, de exemplu, folosesc „env”. Această limitare se datorează modului în care arată scripturile în sistemul de fișiere proc.

CONSULTAȚI ȘI
pgrep(1), pkill(1)

AUTOR
Jaromir Capik (jcapik@redhat.com)